# Class: odoo
# ===========================
#
# Full description of class odoo here.
#
# Parameters
# ----------
#
# Document parameters here.
#
# * `sample parameter`
# Explanation of what this parameter affects and what it defaults to.
# e.g. "Specify one or more upstream ntp servers as an array."
#
# Variables
# ----------
#
# Here you should define a list of variables that this module would require.
#
# * `sample variable`
#  Explanation of how this variable affects the function of this class and if
#  it has a default. e.g. "The parameter enc_ntp_servers must be set by the
#  External Node Classifier as a comma separated list of hostnames." (Note,
#  global variables should be avoided in favor of class parameters as
#  of Puppet 2.6.)
#
# Examples
# --------
#
# @example
#    class { 'odoo':
#      servers => [ 'pool.ntp.org', 'ntp.local.company.com' ],
#    }
#
# Authors
# -------
#
# Author Name <author@domain.com>
#
# Copyright
# ---------
#
# Copyright 2018 Your name here, unless otherwise noted.
#



class odoo(
	$version = "8.0"
)
inherits odoo::params {

	file {"$logdir":
		ensure => "directory"
	}

	file {"$logfile":
		ensure => "present",
		owner => "odoo",
		group => "odoo",
	}

	file {"$conffile":
		ensure => "present",
		owner => "odoo",
		group => "odoo",
	
	}

	file {"$homedirs":
		ensure => 'directory'
	}
	user {"$odoo_user":
		ensure => present,
		home => "$odoo_user_homedir",
		require => File["$homedirs"],
	}


	package {$prepkg:
		ensure => "installed"
	}
	
	vcsrepo { "$odoo_systemdir":
		ensure     => present,
		provider   => git,
		source     => 'https://www.github.com/odoo/odoo.git',
		revision => $version,
#		submodules => false,
		depth => 1,
		require => Package[$prepkg]
	}

	exec {"install_pre":
		command => "/bin/ls > /dev/null && $preenv && $pip_cmd install -r $odoo_systemdir/requirements.txt",
		require => [
			Vcsrepo["$odoo_systemdir"],
			Package[$prepkg],
		]
	}
}




